Talent
POST/api/v1/talent/curves
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/talent/curves" \ -H "Content-Type: application/json" \ -d '{ "curve_id": "string", "kind": "linear", "max_level": 0, "points_per_level": [ { "amount": 0, "currency": "string" } ] }'{ "bonus_levels": [ { "extra": [ { "amount": 0, "currency": "string" } ], "level": 0 } ], "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "curve_id": "string", "kind": "linear", "max_level": 0, "params": { "base": 0, "exponent": 0, "per_level": 0, "table": [ 0 ] }, "points_per_level": [ { "amount": 0, "currency": "string" } ]}GET/api/v1/talent/curves/{curve_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/talent/curves/string"{ "bonus_levels": [ { "extra": [ { "amount": 0, "currency": "string" } ], "level": 0 } ], "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "curve_id": "string", "kind": "linear", "max_level": 0, "params": { "base": 0, "exponent": 0, "per_level": 0, "table": [ 0 ] }, "points_per_level": [ { "amount": 0, "currency": "string" } ]}GET/api/v1/talent/definitions
Authorization
bearer_token In: header
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Full-text search over this list's searchable fields.
1 <= length <= 200Comma-separated sort keys, - for descending, at most 1. Keys: version, name, created_at. Default: -created_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Only return active (latest published) versions
Response Body
application/json
curl -X GET "https://example.com/api/v1/talent/definitions"{ "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }, "trees": [ { "active": true, "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "definition_id": "string", "description": "string", "exclusive_groups": [ { "id": "string", "label": "string", "max_selected": 0 } ], "name": "string", "nodes": [ { "cost_per_rank": [ { "amount": 0, "currency": "string" } ], "exclusive_group": "string", "grants": null, "id": "string", "max_rank": 0, "name": "string", "prerequisites": null, "tier": 0 } ], "point_currencies": [ "string" ], "respec": { "full": null, "partial": null }, "tiers": [ { "gate": null, "tier": 0 } ], "tree_id": "string", "updated_at": "2019-08-24T14:15:22Z", "version": 0 } ]}POST/api/v1/talent/definitions
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/talent/definitions" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "nodes": [ { "id": "string", "name": "string", "tier": 0 } ], "point_currencies": [ "string" ], "tiers": [ { "tier": 0 } ], "tree_id": "string" }'{ "active": true, "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "definition_id": "string", "description": "string", "exclusive_groups": [ { "id": "string", "label": "string", "max_selected": 0 } ], "name": "string", "nodes": [ { "cost_per_rank": [ { "amount": 0, "currency": "string" } ], "exclusive_group": "string", "grants": null, "id": "string", "max_rank": 0, "name": "string", "prerequisites": null, "tier": 0 } ], "point_currencies": [ "string" ], "respec": { "full": null, "partial": null }, "tiers": [ { "gate": null, "tier": 0 } ], "tree_id": "string", "updated_at": "2019-08-24T14:15:22Z", "version": 0}POST/api/v1/talent/definitions/validate
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/talent/definitions/validate" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "nodes": [ { "id": "string", "name": "string", "tier": 0 } ], "point_currencies": [ "string" ], "tiers": [ { "tier": 0 } ], "tree_id": "string" }'{ "issues": [ "string" ], "valid": true}GET/api/v1/talent/definitions/{tree_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/talent/definitions/string"{ "active": true, "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "definition_id": "string", "description": "string", "exclusive_groups": [ { "id": "string", "label": "string", "max_selected": 0 } ], "name": "string", "nodes": [ { "cost_per_rank": [ { "amount": 0, "currency": "string" } ], "exclusive_group": "string", "grants": null, "id": "string", "max_rank": 0, "name": "string", "prerequisites": null, "tier": 0 } ], "point_currencies": [ "string" ], "respec": { "full": null, "partial": null }, "tiers": [ { "gate": null, "tier": 0 } ], "tree_id": "string", "updated_at": "2019-08-24T14:15:22Z", "version": 0}PUT/api/v1/talent/definitions/{tree_id}
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/talent/definitions/string" \ -H "Content-Type: application/json" \ -d '{ "migration": { "from_version": 0 }, "name": "string", "nodes": [ { "id": "string", "name": "string", "tier": 0 } ], "point_currencies": [ "string" ], "tiers": [ { "tier": 0 } ], "tree_id": "string" }'{ "active": true, "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "definition_id": "string", "description": "string", "exclusive_groups": [ { "id": "string", "label": "string", "max_selected": 0 } ], "name": "string", "nodes": [ { "cost_per_rank": [ { "amount": 0, "currency": "string" } ], "exclusive_group": "string", "grants": null, "id": "string", "max_rank": 0, "name": "string", "prerequisites": null, "tier": 0 } ], "point_currencies": [ "string" ], "respec": { "full": null, "partial": null }, "tiers": [ { "gate": null, "tier": 0 } ], "tree_id": "string", "updated_at": "2019-08-24T14:15:22Z", "version": 0}DELETE/api/v1/talent/definitions/{tree_id}/versions/{version}
Authorization
bearer_token In: header
Path Parameters
int320 <= valueResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/talent/definitions/string/versions/0"{ "message": "string", "tree_id": "string", "version": 0}GET/api/v1/talent/me/wallet
curl -X GET "https://example.com/api/v1/talent/me/wallet"{ "balances": { "property1": 0, "property2": 0 }, "user_id": "string", "xp": [ { "current_level": 0, "curve_id": "string", "total_xp": 0 } ]}POST/api/v1/talent/xp/events
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/talent/xp/events" \ -H "Content-Type: application/json" \ -d '{ "amount": 0, "curve_id": "string" }'{ "granted": { "property1": 0, "property2": 0 }, "idempotent": true, "new_level": 0, "old_level": 0}POST/api/v1/talent/{tree_id}/allocate
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/talent/string/allocate" \ -H "Content-Type: application/json" \ -d '{ "node_id": "string" }'{ "exclusive_selections": { "property1": "string", "property2": "string" }, "highest_tier_unlocked": 0, "points_spent": { "property1": 0, "property2": 0 }, "ranks": { "property1": 0, "property2": 0 }, "tree_id": "string", "tree_version": 0, "user_id": "string"}GET/api/v1/talent/{tree_id}/analytics/archetypes
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/talent/string/analytics/archetypes"{ "archetypes": [ { "population": 0, "selections": [ { "group": "string", "node_id": "string" } ], "share": 0.1, "signature": "string" } ], "total_population": 0, "tree_id": "string", "tree_version": 0}GET/api/v1/talent/{tree_id}/analytics/paths
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/talent/string/analytics/paths"{ "nodes": [ { "name": "string", "node_id": "string", "tier": 0, "total_ranks_allocated": 0 } ], "tree_id": "string"}POST/api/v1/talent/{tree_id}/respec
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/talent/string/respec" \ -H "Content-Type: application/json" \ -d '{}'{ "exclusive_selections": { "property1": "string", "property2": "string" }, "highest_tier_unlocked": 0, "points_spent": { "property1": 0, "property2": 0 }, "ranks": { "property1": 0, "property2": 0 }, "tree_id": "string", "tree_version": 0, "user_id": "string"}GET/api/v1/talent/{tree_id}/state
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/talent/string/state"{ "nodes": [ { "affordable": true, "current_rank": 0, "excluded_by": "string", "max_rank": 0, "node_id": "string", "prerequisites_met": true, "tier_locked": true } ], "state": { "exclusive_selections": { "property1": "string", "property2": "string" }, "highest_tier_unlocked": 0, "points_spent": { "property1": 0, "property2": 0 }, "ranks": { "property1": 0, "property2": 0 }, "tree_id": "string", "tree_version": 0, "user_id": "string" }, "tree_id": "string", "tree_version": 0}GET/api/v1/talent/{tree_id}/users/{user_id}/state
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/talent/string/users/string/state"{ "nodes": [ { "affordable": true, "current_rank": 0, "excluded_by": "string", "max_rank": 0, "node_id": "string", "prerequisites_met": true, "tier_locked": true } ], "state": { "exclusive_selections": { "property1": "string", "property2": "string" }, "highest_tier_unlocked": 0, "points_spent": { "property1": 0, "property2": 0 }, "ranks": { "property1": 0, "property2": 0 }, "tree_id": "string", "tree_version": 0, "user_id": "string" }, "tree_id": "string", "tree_version": 0}